org.apache.ignite.internal.processors.cache.transactions

## Class TxDeadlock

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.transactions.TxDeadlock

    public class TxDeadlock
    extends Object

Information about found deadlock.

### Constructor Summary

Constructors
Constructor and Description
`TxDeadlock(List<GridCacheVersion> cycle, Map<GridCacheVersion,T2<UUID,Long>> txs, Map<GridCacheVersion,Set<IgniteTxKey>> txLockedKeys, Map<IgniteTxKey,Set<GridCacheVersion>> txRequestedKeys)`

### Method Summary

Methods
`List<GridCacheVersion>` `cycle()`
`String` `toString(GridCacheSharedContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TxDeadlock

    public TxDeadlock(List<GridCacheVersion> cycle,
              Map<GridCacheVersion,T2<UUID,Long>> txs,
              Map<GridCacheVersion,Set<IgniteTxKey>> txLockedKeys,
              Map<IgniteTxKey,Set<GridCacheVersion>> txRequestedKeys)

Parameters:
  `cycle` - Cycle.
  `txs` - Transactions.
  `txLockedKeys` - Tx locked keys.
  `txRequestedKeys` - Tx requested keys.

### Method Detail

#### cycle

    public List<GridCacheVersion> cycle()

Returns:
  Deadlock represented as cycle of transaction in wait-for-graph.

#### toString

    public String toString(GridCacheSharedContext ctx)

Parameters:
  `ctx` - Context.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017